Loading...
Searching...
No Matches
juce::AccessibilityValueInterface::AccessibleValueRange Class Reference

## Detailed Description

Represents the range of this value, if supported.

Return one of these from the getRange() method, providing a minimum, maximum, and interval value for the range to indicate that this is a ranged value.

The default state is an "invalid" range, indicating that the accessibility element does not support ranged values.

See also
  AccessibilityRangedNumericValueInterface

The documentation for this class was generated from the following file:

- juce_gui_basics/accessibility/interfaces/juce_AccessibilityValueInterface.h

## Classes

struct | MinAndMax
| The minimum and maximum values for this range, inclusive. More...

## Public Member Functions

| AccessibleValueRange ()=default
| Constructor.
| AccessibleValueRange (MinAndMax valueRange, double interval)
| Constructor.
bool | isValid () const noexcept
| Returns true if this represents a valid range.
double | getMinimumValue () const noexcept
| Returns the minimum value for this range.
double | getMaximumValue () const noexcept
| Returns the maximum value for this range.
double | getInterval () const noexcept
| Returns the interval for this range.

## Constructors and Destructors

## AccessibleValueRange() [1/2]

juce::AccessibilityValueInterface::AccessibleValueRange::AccessibleValueRange | ( |  | ) |

default

Constructor.

Creates a default, "invalid" range that can be returned from AccessibilityValueInterface::getRange() to indicate that the value interface does not support ranged values.

## AccessibleValueRange() [2/2]

juce::AccessibilityValueInterface::AccessibleValueRange::AccessibleValueRange | ( | MinAndMax | valueRange,
|  | double | interval )

inline

Constructor.

Creates a valid AccessibleValueRange with the provided minimum, maximum, and interval values.

References jassert.

## Member Functions

## isValid()

bool juce::AccessibilityValueInterface::AccessibleValueRange::isValid | ( |  | ) | const

inline noexcept

Returns true if this represents a valid range.

## getMinimumValue()

double juce::AccessibilityValueInterface::AccessibleValueRange::getMinimumValue | ( |  | ) | const

inline noexcept

Returns the minimum value for this range.

## getMaximumValue()

double juce::AccessibilityValueInterface::AccessibleValueRange::getMaximumValue | ( |  | ) | const

inline noexcept

Returns the maximum value for this range.

## getInterval()

double juce::AccessibilityValueInterface::AccessibleValueRange::getInterval | ( |  | ) | const

inline noexcept

Returns the interval for this range.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited